#####################################################
# Hyades Generic Adapter strings
#
#**********************************************************************
# * Copyright (c) 2003 Hyades project.
# * All rights reserved.   This program and the accompanying materials
# * are made available under the terms of the Common Public License v1.0
# * which accompanies this distribution, and is available at
# * http://www.eclipse.org/legal/cpl-v10.html
# *
# * Contributors:
# * IBM - Initial API and implementation
# **********************************************************************/
#####################################################
#====================================================================
# To code developer:
#   Do NOT change the properties between this line and the
#   "%%% END OF TRANSLATED PROPERTIES %%%" line.
#   Make a new property name, append to the end of the file and change
#   the code to use the new property.
#====================================================================
#####################################################

HyadesGACommand_line_usage=Command line usage: Adapter [-cc ContextConfiguration.xml] [-ac ComponentConfigurations.xml]

HyadesGAAdapterFatal_ERROR_=IWAT0310E Adapter could not be started due to configuration problems.
HyadesGAContextFatal_ERROR_=IWAT0311E Context will not be run due to fatal configuration error.
HyadesGAContextConfigurationErrorContextCountMismatchFatal_ERROR_=IWAT0312E Adapter cannot start.  Configuration error: Number of Context's is not the same as the number of ContextInstance's.  They must be the same.
HyadesGAContextInstanceConfigurationErrorComponentMismatchFatal_ERROR_=IWAT0313E Adapter cannot start.  Context and ContextInstance configurations do not match for context {0}.  The number of components must be the same.
HyadesGAContextInstanceConfigurationErrorComponentIdNotFoundFatal_ERROR_=IWAT0314E Adapter cannot start.  Configuration error:  Component with ID {0} cannot be found in context with ID {1}.
HyadesGAContextInstanceConfigurationErrorContextIdNotFoundFatal_ERROR_=IWAT0315E Adapter cannot start.  Configuration error:  ContextInstance ID {0} cannot be found in the list of Context's.
HyadesGAContextInstantiation_ERROR_=IWAT0316E Error building context {0}. {1}
HyadesGAComponentInstantiation_ERROR_=IWAT0317E Error building component {0}. {1}
HyadesGAClassLoad_ERROR_=IWAT0318E {0} was not found.
HyadesGAInstantiation_ERROR_=IWAT0319E {0} is an interface or an abstract class.
HyadesGAAccess_ERROR_=IWAT0320E {0} is not accessible due to security restrictions.
HyadesGAMalformedParserExpression_ERROR_=IWAT0321E Regular exression is malformed.
HyadesGASubstitutionRuleIgnored_WARN_=IWAT0322W Substitution rule will be ignored because it is invalid ({0}).

HyadesGA_CBE_File_Outputter_Write_ERROR_=IWAT0323E Common Base Event File outputter {0} cannot write to file {1}.
HyadesGA_CBE_File_Outputter_Create_ERROR_=IWAT0324E Common Base Event File outputter {0} cannot create file {1}.

HyadesGA_CBE_Formatter_MsgDataElement_WARN_=IWAT0325W Common Base Event formatter {0} has received an invalid MsgDataElement property name: {1}.

HyadesGA_CBE_Formatter_Duplicate_ContextDataElement_WARN_=IWAT0326W Common Base Event formatter {0} has received the ContextDataElement property {1} but it cannot be set because {2} is set.
HyadesGA_CBE_Formatter_ContextDataElement_WARN_=IWAT0327W Common Base Event formatter {0} has received an invalid ContextDataElement property name: {1}.

HyadesGA_CBE_Formatter_ComponentIdentification_WARN_=IWAT0328W Common Base Event formatter {0} has received an invalid ComponentIdentification property name: {1}.

HyadesGA_CBE_Formatter_SituationType_WARN_=IWAT0329W Common Base Event formatter {0} has received the situation type {1} but this CBE has a different situation type.
HyadesGA_CBE_Formatter_AvailableSituation_WARN_=IWAT0330W Common Base Event formatter {0} has received the property name {1} that is not an Available Situation property.
HyadesGA_CBE_Formatter_RequestSituation_WARN_=IWAT0331W Common Base Event formatter {0} has received the property name {1} that is not a Request Situation property.
HyadesGA_CBE_Formatter_StartSituation_WARN_=IWAT0332W Common Base Event formatter {0} has received the property name {1} that is not a Start Situation property.
HyadesGA_CBE_Formatter_StopSituation_WARN_=IWAT0333W Common Base Event formatter {0} has received the property name {1} that is not a Stop Situation property.
HyadesGA_CBE_Formatter_ConnectSituation_WARN_=IWAT0334W Common Base Event formatter {0} has received the property name {1} that is not a Connect Situation property.
HyadesGA_CBE_Formatter_ConfigureSituation_WARN_=IWAT0335W Common Base Event formatter {0} has received the property name {1} that is not a Configure Situation property.
HyadesGA_CBE_Formatter_CreateSituation_WARN_=IWAT0336W Common Base Event formatter {0} has received the property name {1} that is not a Create Situation property.
HyadesGA_CBE_Formatter_DestroySituation_WARN_=IWAT0337W Common Base Event formatter {0} has received the property name {1} that is not a Destroy Situation property.
HyadesGA_CBE_Formatter_ReportSituation_WARN_=IWAT0338W Common Base Event formatter {0} has received the property name {1} that is not a Report Situation property.
HyadesGA_CBE_Formatter_FeatureSituation_WARN_=IWAT0339W Common Base Event formatter {0} has received the property name {1} that is not a Feature Situation property.
HyadesGA_CBE_Formatter_DependencySituation_WARN_=IWAT0340W Common Base Event formatter {0} has received the property name {1} that is not a Dependency Situation property.
HyadesGA_CBE_Formatter_OtherSituation_WARN_=IWAT0341W Common Base Event formatter {0} has received the property name {1} that is not an Other Situation property.

HyadesGA_CBE_Formatter_Invalid_Situation_WARN_=IWAT0342W Common Base Event formatter {0} has received an invalid Situation property name {1}.
HyadesGA_CBE_Formatter_Invalid_SituationType_WARN_=IWAT0343W Common Base Event formatter {0} has received an invalid Situation Type property name {1}.
HyadesGA_CBE_Formatter_Invalid_AssociatedEvent_WARN_=IWAT0344W Common Base Event formatter {0} has received an invalid AssociatedEvent property name {1}.
HyadesGA_CBE_Formatter_Invalid_AssociationEngine_WARN_=IWAT0345W Common Base Event formatter {0} has received an invalid AssociationEngine property name {1}.

HyadesGA_CBE_Formatter_Duplicate_ExtendedDataElement_WARN_=IWAT0346W Common Base Event formatter {0} has received the ExtendedDataElement property {1} but it cannot be set because {2} is set.
HyadesGA_CBE_Formatter_Invalid_ExtendedDataElement_WARN_=IWAT0347W Common Base Event formatter {0} has received an invalid ExtendedDataElement property name {1}.
HyadesGA_CBE_Formatter_Invalid_CommmonBaseEvent_WARN_=IWAT0348W Common Base Event formatter {0} has received an invalid CommmonBaseEvent property name {1}.
HyadesGA_CBE_Formatter_Invalid_Property_WARN_=IWAT0349W Common Base Event formatter {0} has received an invalid property name string {1}.
HyadesGA_CBE_Formatter_Non_Numeric_Property_WARN_=IWAT0350W Common Base Event formatter {0} has received an non numeric value when it was expecting one when processing {1}.
HyadesGA_CBE_Formatter_Exception_WARN_=IWAT0351W Common Base Event formatter {0} has received an exception when processing {1} - {2}.

HyadesGA_CBE_Logging_Agent_Waiting_INFO_=IWAT0352I Common Base Event logging agent outputter {0} is waiting for agent {1} to be monitored...

HyadesGA_CBE_Logging_Agent_Write_ERROR_=IWAT0353E Common Base Event logging agent outputter {0} cannot write to agent {1}.

HyadesGA_CBE_Notify_Outputter_ERROR_=IWAT0354E Common Base Event notify outputter {0} could not create a CBENotifySource.

HyadesGA_CBE_ProcessUnit_ERROR_=IWAT0355E Process Unit {0} has been requested to process Event Items.

HyadesGA_CBE_Sensor_getNext_INFO_=IWAT0356I Sensor getNext has been requested from {0}.

HyadesGA_CBE_File_Parsing_ERROR_=IWAT0357E Exception parsing file {0}:  {1}.

HyadesGA_CBE_Simple_Extractor_Message_INFO_=IWAT0358I The following message is being passed on: {0}
HyadesGA_CBE_Regular_Expression_Extractor_Start_Pattern_Invalid_ERROR_=IWAT0359E The extractor start pattern regular expression is malformed: {0}.
HyadesGA_CBE_Regular_Expression_Extractor_End_Pattern_Invalid_ERROR_=IWAT0360E The extractor end pattern regular expression is malformed: {0}.

HyadesGA_CBE_Parser_Preparation_SubstitutionExtensionClass_NotFound_ERROR_=IWAT0361E Could not find substitution extension class {0}.
HyadesGA_CBE_Parser_Preparation_SubstitutionExtensionClass_Exception_ERROR_=IWAT0362E Exception occurred intantiating substitution extension class {0}.
HyadesGA_CBE_Parser_Preparation_Invalid_Time_Format_ERROR_=IWAT0363E The time format {0} is invalid.
HyadesGA_CBE_Parser_Run_SubstitutionExtensionClass_Invalid_ERROR_=IWAT0364E Substitution extension class {0} does not implement ISubstitutionExtension or IStatefulSubstitutionExtension.
HyadesGA_CBE_Parser_Run_StatelessSubstitutionExtensionClass_Exception_ERROR_=IWAT0365E Stateless substitution extension class {0} threw an exception.
HyadesGA_CBE_Parser_Run_StatefulSubstitutionExtensionClass_Exception_ERROR_=IWAT0366E Stateful substitution extension class {0} threw an exception.
HyadesGA_CBE_Parser_Run_TimeParser_Exception_ERROR_=IWAT0367E The time {0} could not be parsed with format {1} because an exception occurred.
HyadesGA_CBE_Adapter_No_Config_File_Specified_ERROR_=IWAT0368E An adapter configuration file must be specified on the command line.
HyadesGA_CBE_Adapter_No_Config_File_ERROR_=IWAT0369E The adapter configuration file {0} cannot be found.
HyadesGA_CBE_Adapter_Config_File_Open_ERROR_=IWAT0370E The adapter configuration file {0} cannot be opened.
HyadesGA_CBE_Adapter_Config_File_Parse_ERROR_=IWAT0371E The adapter configuration file {0} cannot be parsed.
HyadesGA_CBE_Adapter_Config_File_Missing_Element_ERROR_=IWAT0372E The adapter configuration file {0} is missing the element {1}.
HyadesGA_CBE_Adapter_Config_File_Save_ERROR_=IWAT0373E The adapter configuration file {0} cannot be saved.
HyadesGA_CBE_Adapter_No_Config_File_Migration_Required_INFO_=IWAT0374I No migration is required for the adapter configuration file {0}.
HyadesGA_CBE_SingleFileSensor_Invalid_Config_File_ERROR_=IWAT0375E The SingleOSFileSensor configuration is incorrect. The directory or fileName property is missing or invalid.
HyadesGA_CBE_StaticParserSensor_Invalid_Config_File_ERROR_=IWAT0376E The StaticParserSensor configuration is incorrect. The directory, fileName or parserClassName property is missing or invalid.
HyadesGA_CBE_SingleFileOutputter_Invalid_Config_File_ERROR_=IWAT0377E The CBEFileOutputter configuration is incorrect. The directory or fileName property is missing or invalid.

#====================================================================
# %%% END OF TRANSLATED PROPERTIES %%%
#====================================================================

pluginName=Hyades Generic Log Adapter Runtime
providerName=Eclipse.org
ContextListener_Schema=Context Listeners
AdapterComponent_Schema=Adapter Components
SubstitutionExtension_Schema=Substitution Extensions

# Command line strings:
HyadesGA-cc=-cc
HyadesGA-ac=-ac

# File symbol and tag names in the xml schema:
HyadesGADefaultContextConfigurationFile=SimpleContextConfiguration.xml
HyadesGADefaultComponentConfigurationsFile=SimpleComponentConfigurations.xml
HyadesGA=:
HyadesGAContextsElementTagName=hga:Contexts
HyadesGAContextElementTagName=hga:Context
HyadesGAExecutableClassAttributeName=executableClass
HyadesGANameAttributeName=name
HyadesGAUniqueIDAttributeName=uniqueID
HyadesGADescriptionAttributeName=description
HyadesGARoleAttributeName=role
HyadesGALoggingLevelAttributeName=loggingLevel
HyadesGARoleVersionAttributeName=roleVersion
HyadesGARoleCreationDateAttributeName=roleCreationDate
HyadesGARoleVersionDescriptionAttributeName=roleVersionDescription
HyadesGAImplementationVersionAttributeName=implementationVersion
HyadesGAImplemenationCreationDateAttributeName=implementationCreationDate
HyadesGAImplemenationVersionDescriptionAttributeName=implementationVersionDescription
HyadesGAAdapterElementTagName=adapter:Adapter
HyadesGAAdapterProcessUnitNamespaceAttributeTagName=xmlns:pu
HyadesGAAdapterProcessUnitNamespaceAttributeValue=http://www.eclipse.org/hyades/schema/ProcessUnit.xsd
HyadesGAComponentElementTagName=hga:Component
HyadesGASensorConfigElementTagName=hga:SensorConfig
HyadesGAtypeAttributeName=type
HyadesGAagentNameAttributeName=agentName
HyadesGAdirectoryAttributeName=directory
HyadesGAfileNameAttributeName=fileName
HyadesGAstaticParserClassAttributeName=parserClassName
HyadesGAconverterCmdAttributeName=converter
HyadesGAconverterShellAttributeName=shell
HyadesGAexpirationAttributeName=expiration
HyadesGApauseIntervalAttributeName=pauseInterval
HyadesGAmaximumIdleTimeAttributeName=maximumIdleTime
HyadesGAmaximumBlockingAttributeName=maximumBlocking
HyadesGAconfidenceBufferSizeAttributeName=confidenceBufferSize
HyadesGAfileFooterSizeAttributeName=fileFooterSize
HyadesGAwaitTimeAttributeName=waitUntilLoggingTime
HyadesGAcontinuousOperationAttributeName=continuousOperation
HyadesGAContextInstanceElementTagName=cc:ContextInstance
HyadesGAnestedMessagesAttributeName=nestedMessages
HyadesGAcontainsLineBreaksAttributeName=containsLineBreaks
HyadesGAreplaceLineBreaksAttributeName=replaceLineBreaks
HyadesGAstartPatternAttributeName=startPattern
HyadesGAendPatternAttributeName=endPattern
HyadesGAincludeStartPatternAttributeName=includeStartPattern
HyadesGAincludeEndPatternAttributeName=includeEndPattern
HyadesGAlineBreakSymbolAttributeName=lineBreakSymbol
HyadesGARuleElementTagName=RuleElement
HyadesGARuleAttributeTagName=RuleAttribute
HyadesGASubstitutionRuleTagName=SubstitutionRule
HyadesGAPositionsAttributeName=positions
HyadesGAMatchAttributeName=match
HyadesGASubstituteAttributeName=substitute
HyadesGADesignationTokenName=designationToken
HyadesGASeparatorTokenAttributeName=separatorToken
HyadesGAIndexAttributeName=index
HyadesGAParserTagName=cc:Parser
HyadesGAResourceURLAttributeName=resourceURL
HyadesGAcontextListenerAttributeName=contextListener
HyadesGAstaticParserClassAttributeName=parserClassName
HyadesGAstaticParserAgentName=Generic Log Parser Agent
HyadesGAUsePreviousMatchSubstitutionAsDefault=usePreviousMatchSubstitutionAsDefault

HyadesGASensorTagName=cc:Sensor
HyadesGAOutputterTagName=cc:Outputter
HyadesGAConfigurationTagName=cc:Configuration
HyadesGAStaticParserSensorTypeTagName=sensor:StaticParserSensor
HyadesGAAdapterCBESensorTypeTagName=sensor:AdapterCBESensor
HyadesGAPropertyTagName=pu:Property
HyadesGAPropertyElementTagName=pu:Property
HyadesGAPropertyNameTag=propertyName
HyadesGAPropertyNameAttributeName=propertyName
HyadesGAPropertyValueTag=propertyValue
HyadesGAPropertyValueAttributeName=propertyValue
HyadesGASensorPropertyTagName=sensor:SensorProperty
HyadesGASensorPropertyNameTag=propertyName
HyadesGASensorPropertyValueTag=propertyValue
HyadesGAOutputterPropertyTagName=op:OutputterProperty
HyadesGAOutputterPropertyNameTag=propertyName
HyadesGAOutputterPropertyValueTag=propertyValue
HyadesGAInputLogFilenameTag=file_path
HyadesGALogVersionTagName=version
HyadesGADefaultLogVersionTagName=Default
HyadesGAExtensionPointPackageNameTag=org.eclipse.hyades.logging.parsers
HyadesGAExtensionPointNameTag=logParser
HyadesGAExtensionPointIDTag=id
HyadesGAUnknownNameTag=unknown
HyadesGAStaticParserOutputterTagName=StaticParserOutputter
HyadesGAStaticParserLoggerKeyName=loggerKey
HyadesGASingleFileSensorTagName=sensor:SingleFileSensor
HyadesGAGenericSensorTagName=sensor:GenericSensor
HyadesGAStaticParserSensorTagName=sensor:StaticParserSensor
HyadesGASingleFileOutputterTypeTagName=op:SingleFileOutputterType
HyadesGALogOutputterTypeTagName=op:LoggingAgentOutputterType
HyadesGAGenericOutputterTagName=op:GenericOutputterType
HyadesGAEclipseErrorDialogOutputterTypeTagName=op:EclipseErrorDialogOutputter
HyadesGAuseBuiltInFunctionAttributeName=useBuiltInFunction
HyadesGAsubstitutionExtensionClassAttributeName=substitutionExtensionClass
HyadesGAdefaultValueAttributeName=defaultValue
HyadesGAtimeFormatAttributeName=timeFormat
HyadesGAConfigFileRootAttributeName=ConfigFileRoot

